@extends('layouts.connected')

@section('content')
    <div class="container">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col-auto">
                    <h1 class="page-title">
                        {{ $month->getDate() }}
                    </h1>
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif
                    @if (session('success'))
                        <div class="alert alert-success" role="alert">
                            {{ session('success') }}
                        </div>
                    @endif
                    @if (session('errors'))
                        <div class="alert alert-danger" role="alert">
                            {{ session('errors') }}
                        </div>
                    @endif
                </div>
            </div>
        </div>
        <div class="row flex-fill">
            <div class="col-12">
                <div id="calendar">
                    <div class="box">
                        <div class="calendar-header">
                            @php($previous = $month->getPrevious())
                            @php($next = $month->getNext())
                            <a class="prev" href="{{ route('calendar', ['type' => $type, 'month' => $previous->format('m'), 'year' => $previous->format('Y')]) }}">Prev</a>
                            <span class="title">{{ $month->getDate() }}</span>
                            <a class="next" href="{{ route('calendar', ['type' => $type, 'month' => $next->format('m'), 'year' => $next->format('Y')]) }}">Next</a>
                        </div></div><div class="box-content">
                        <ul class="label">
                            <li class="start title title">Mon</li>
                            <li class="start title title">Tue</li>
                            <li class="start title title">Wed</li>
                            <li class="start title title">Thu</li>
                            <li class="start title title">Fri</li>
                            <li class="start title title">Sat</li>
                            <li class="start title title">Sun</li>
                        </ul>
                        <div class="clear"></div>
                        {!! $month->render() !!}
                        <div class="clear"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
